OpenVZ Forum


Home » International » Russian » Не могу понять как мне установить актуальную версию яд
Не могу понять как мне установить актуальную версию яд [message #35327] Tue, 17 March 2009 22:07 Go to next message
relax is currently offline  relax
Messages: 9
Registered: March 2009
Junior Member
From: *151.255.87.nash.net.ua
Здравствуйте! Заинтересовал ваш продукт. Начал потихоньку разбираться. Линукс (в частности убунту), также использую не так давно, так что и здесь разбираюсь.
Возникло пару вопросов:
1. Имею установленную Ubuntu 8.04 (hardy), могу установить ваше ядро openVZ прям с репозитория ubuntu, но там лежит как я понимаю устаревшая версия:
sudo apt-cache show linux-openvz

>>> Version: 2.6.24.23.25

Нашел у вас репозиторий для ubuntu но так и не понял в каком формате его прописать в /etc/apt/sources.list чтобы apt проверяла и в нем. И так и не нашел, где у вас указана последняя стабильная версия ядра для ubuntu

2. Для ubuntu не нашел репозитория с инструментами, но есть такой для debian - http://download.openvz.org/debian-systs/. Его можно подключить? или нужно их установить с исходников?

В общем цель, установить последние версии ядра OpenVZ и утилит к нему
Re: Не могу понять как мне установить актуальную версию [message #35339 is a reply to message #35327] Wed, 18 March 2009 12:19 Go to previous messageGo to next message
maratrus is currently offline  maratrus
Messages: 1495
Registered: August 2007
Location: Moscow
Senior Member
From: *sw.ru
Здравствуйте,

Quote:


Имею установленную Ubuntu 8.04 (hardy), могу установить ваше ядро openVZ прям с репозитория ubuntu, но там лежит как я понимаю устаревшая версия


Как вы это определили?
Вот здесь https://launchpad.net/ubuntu/hardy/+source/linux-meta/
свежее только 2.6.24.24.26, но еще не достаточно обкатанная.

Поэтому можете поставить ядро, которое у вас в репозитории, инструменты отттуда же.

А вообще свежие исходники ядер и интструментов OpenVZ можно взять
http://git.openvz.org/
Re: Не могу понять как мне установить актуальную версию [message #35344 is a reply to message #35339] Wed, 18 March 2009 13:04 Go to previous messageGo to next message
relax is currently offline  relax
Messages: 9
Registered: March 2009
Junior Member
From: *151.255.87.nash.net.ua
вроде разобрался, подключил репозиторий от дебиан и установил openVZ на хард ноде.
вот что выдает uname -r
2.6.24-23-openvz

Ядро актуальное, плюс установил актуальные инструменты vzctrl и vzquote. Появился вопрос: у меня сейчас 2Гб оперативной памяти,и один процессор, так у меня ядро ovzkernel-2.6.24 ?? а если я добавлю со временем оперативную память до 8Гб, мне нужно сменить ядро для поддержки более 4Гб оперативки?? тоесть нужно будет обновиться до ovzkernel-2.6.24-enterprise ? я прав? как это сделать? при установке я не указывал какое ядро мне ставить.

за http://git.openvz.org/ спасибо, там уже есть linux-2.6.27-openvz, и инструменты с последними исправлениями. Но как мне от туда ставить что либо я не понял
Re: Не могу понять как мне установить актуальную версию [message #35345 is a reply to message #35344] Wed, 18 March 2009 13:15 Go to previous messageGo to next message
relax is currently offline  relax
Messages: 9
Registered: March 2009
Junior Member
From: *151.255.87.nash.net.ua
вот выполнил информацию о пакете
sudo dpkg -p linux-openvz

Package: linux-openvz
Priority: optional
Section: restricted/metapackages
Installed-Size: 52
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Architecture: i386
Source: linux-meta
Version: 2.6.24.23.25
Depends: linux-image-openvz (= 2.6.24.23.25), linux-restricted-modules-openvz (= 2.6.24.23.25)
Size: 26558
Description: Complete openvz Linux kernel
This package will always depend on the latest complete openvz Linux kernel
available.

если смотреть что есть на http://git.openvz.org/ то уже есть linux-2.6.26-openvz и linux-2.6.27-openvz. То есть ядро немного устарело. И по информации о пакете я так и не онял поддерживает ли опенВЗ больше чем 4Гб оперативной памяти.
Re: Не могу понять как мне установить актуальную версию [message #35346 is a reply to message #35344] Wed, 18 March 2009 13:39 Go to previous messageGo to next message
maratrus is currently offline  maratrus
Messages: 1495
Registered: August 2007
Location: Moscow
Senior Member
From: *sw.ru
Quote:


а если я добавлю со временем оперативную память до 8Гб, мне нужно сменить ядро для поддержки более 4Гб оперативки?? тоесть нужно будет обновиться до ovzkernel-2.6.24-enterprise ?


Да, конечно, если у вас будет больше 4Гб оперативной памяти придется ставить PAE ядро.
Если PAE ядра нет в репозитории, то, боюсь, вам придется его собирать самому.
http://git.openvz.org/ - место, откуда можно скачать исходники разных проектов. Но самое свежее не значит самое лучшее.

Поэтому если вы хотите скомпилировать собственное ядро, возьмите для начала исходники вашего ядра.
Когда будете собирать ядро, например, с помощью "make menuconfig" поищите PAE (Physical Address Extension) Support.
Re: Не могу понять как мне установить актуальную версию [message #35354 is a reply to message #35327] Wed, 18 March 2009 18:38 Go to previous messageGo to next message
relax is currently offline  relax
Messages: 9
Registered: March 2009
Junior Member
From: *151.255.87.nash.net.ua
спасибо за помощь, все вроде понятно. Остался один вопрос, а можно ли поставить например, linux-source-2.6.18-14-fza-686-bigmem (это пакет с репозитория debian lenny для мультипроцессорных систем с большим чем 4Гб памяти) на машину с одним процессором и 2Гб оперативной памяти для тестирования? И можно ли этот пакет от дебиан? брать для убунту 8,04 или лучше собрать с исходников?
Интересует это потому что в будущем нужна большая надежность и стабильность, так как сервер планируется использоваться для организации VPS.
Re: Не могу понять как мне установить актуальную версию [message #35355 is a reply to message #35354] Wed, 18 March 2009 18:45 Go to previous messageGo to next message
sHaggY_caT is currently offline  sHaggY_caT
Messages: 144
Registered: August 2008
Location: Moscow, Russian Federatio...
Senior Member

From: *shaggy-cat.ru
Если кратко, поставить можно Smile

1. Вообще, ядра smp, enterprise, bigmem работают на более простом оборудовании, просто не задействуют свои особенности.

2. Вообще, ставить пакеты "не от своего дистрибутива" не есть хорошо, но ядра являются исключением, так как крайне редко когда возникают проблемы с "не теми зависимостями", так что, с ядром не так страшен даже и make install Smile
Люди ставят даже ovz ядра для RHEL на Debian/Ubuntu (в случае с OpenVZ самое стабильные ядра с поддержкой нового железа и есть rhel ядра)


IT-outsource for UNIX servers,
http://ha-systems.ru
Re: Не могу понять как мне установить актуальную версию [message #35356 is a reply to message #35355] Wed, 18 March 2009 19:05 Go to previous messageGo to next message
relax is currently offline  relax
Messages: 9
Registered: March 2009
Junior Member
From: *151.255.87.nash.net.ua
sHaggY_caT wrote on Wed, 18 March 2009 13:45

Если кратко, поставить можно Smile

1. Вообще, ядра smp, enterprise, bigmem работают на более простом оборудовании, просто не задействуют свои особенности.

2. Вообще, ставить пакеты "не от своего дистрибутива" не есть хорошо, но ядра являются исключением, так как крайне редко когда возникают проблемы с "не теми зависимостями", так что, с ядром не так страшен даже и make install Smile
Люди ставят даже ovz ядра для RHEL на Debian/Ubuntu (в случае с OpenVZ самое стабильные ядра с поддержкой нового железа и есть rhel ядра)

интересно, то есть вы предлагаете установить например ovzkernel-smp-2.6.9-023stab048.4.i686.rpm с ветки RHEL4 SuperStable на мою убунту?
Re: Не могу понять как мне установить актуальную версию [message #35357 is a reply to message #35327] Wed, 18 March 2009 19:22 Go to previous messageGo to next message
sHaggY_caT is currently offline  sHaggY_caT
Messages: 144
Registered: August 2008
Location: Moscow, Russian Federatio...
Senior Member

From: *shaggy-cat.ru
Ядро от RHEL4 я бы поставить не рискнула, скорей всего user-mod'овским утилитам будут нужные какие-то фичи, которых в этом кёрнеле нет, но вот если Вы погуглите по этому форуму, то можете увидеть сообщения, в которых люди ставят в современные дистрибутивы ядра от RHEL5 через alien Smile

Но все это, конечно, не есть красиво, все-таки бытует расхожее мнение, что ядро всегда нужно брать от своего дистрибутива, что могут быть какие-то специфические патчи, нужные утилитам диструбутива...

У меня на HN обычная CentOS 5, а вот в CT чего только нет!
Пока столкнулась только с одним глюком из-за ядра: в одном CT с ALTLinux искоропки не работает Asterisk, нужно править стартовые скрипты...


IT-outsource for UNIX servers,
http://ha-systems.ru

[Updated on: Wed, 18 March 2009 19:24]

Report message to a moderator

Re: Не могу понять как мне установить актуальную версию [message #35358 is a reply to message #35357] Wed, 18 March 2009 21:26 Go to previous messageGo to next message
relax is currently offline  relax
Messages: 9
Registered: March 2009
Junior Member
From: *151.255.87.nash.net.ua
sHaggY_caT wrote on Wed, 18 March 2009 14:22

Ядро от RHEL4 я бы поставить не рискнула, скорей всего user-mod'овским утилитам будут нужные какие-то фичи, которых в этом кёрнеле нет, но вот если Вы погуглите по этому форуму, то можете увидеть сообщения, в которых люди ставят в современные дистрибутивы ядра от RHEL5 через alien Smile

Но все это, конечно, не есть красиво, все-таки бытует расхожее мнение, что ядро всегда нужно брать от своего дистрибутива, что могут быть какие-то специфические патчи, нужные утилитам диструбутива...

У меня на HN обычная CentOS 5, а вот в CT чего только нет!
Пока столкнулась только с одним глюком из-за ядра: в одном CT с ALTLinux искоропки не работает Asterisk, нужно править стартовые скрипты...

спасибо за советы, я уже и сам думал что OpenVZ официально поддерживает, как я понимаю RedHat, Fedora и CentOS. Вот для HN кого-то из них и использовать, чтобы получить максимальную стабильность. а уже в качестве VPS использовать нужный мне Ubuntu 8.04. Ведь так будет правильнее всего? И из этой тройки какой бы дистрибутив посоветовали? Я не разу ни с одним из них не работал. Но думаю это не должно вызвать проблем.

[Updated on: Wed, 18 March 2009 21:28]

Report message to a moderator

Re: Не могу понять как мне установить актуальную версию [message #35359 is a reply to message #35358] Wed, 18 March 2009 22:25 Go to previous messageGo to next message
sHaggY_caT is currently offline  sHaggY_caT
Messages: 144
Registered: August 2008
Location: Moscow, Russian Federatio...
Senior Member

From: *shaggy-cat.ru
На сколько я понимаю, OpenVZ официально не поддерживает какой-либо дистрибутив Smile
Тем более, что сам Red Hat просто игнорирует OpenVZ как явление.

То, что ниже, не более чем imho Wink
Исторически так сложилось, что стабильные решения для OVZ выпускались именно под RH платформу, - видимо, из-за Parallel'овой Virtuozzo, из которой у OpenVZ растут ноги, и для которой OpenVZ сейчас, де-факто, тестовый полигон.

Fedora - Очень свежий софт, короткий цикл поддержки, дистрибутив на любителя для тех, кто не боиться глюков, кому нравиться RH платформа. На сервер ее ставить, имхо, нельзя. /me юзает федорино горе на рабочей и домашней машине, с которой сейчас пишуться эти строки

RHEL - высочайшая стабильность, и оттестированность глюков на кошках (читай, на Fedora-юзерах)))))

CentOS - RHEL, собранный добрыми людьми из любезно выставленных Red Hat'ом в публичный доступ src.rpm'ов RHEL'а

Red Hat Linux - старый дистрибутив от Red Hat, уже R.I.P., и R.I.P давно.

В принципе, можно поставить и на RHEL, его ISO'к можно без каких-то ограничений скачать с сайта Red Hat, вот только через месяц нельзя будет скачивать обновления, и нужно будет удалить несколько пакетов, что бы не быть пиратом, поэтому,обычно, юзают CentOS Smile
В его репах даже обновления безопасности появляются через час-два-три, после того, как "upstream provider" их выкладывает в своем RHN.

З.Ы. Кроме CentOS есть другие клоны RHEL
З.З.Ы. Надеюсь, этот красношляпный пиар никого не обидел Smile


IT-outsource for UNIX servers,
http://ha-systems.ru

[Updated on: Wed, 18 March 2009 22:27]

Report message to a moderator

Re: Не могу понять как мне установить актуальную версию [message #35362 is a reply to message #35359] Thu, 19 March 2009 11:17 Go to previous messageGo to next message
relax is currently offline  relax
Messages: 9
Registered: March 2009
Junior Member
From: *151.255.87.nash.net.ua
Всем спасибо за советы. Буду разбираться дальше.
Re: Не могу понять как мне установить актуальную версию [message #35365 is a reply to message #35327] Thu, 19 March 2009 12:50 Go to previous message
sa10 is currently offline  sa10
Messages: 103
Registered: May 2007
Location: Minsk
Senior Member
From: *btis.by
На PROXMOX (мало отличается от ubuntu) я ставил ядро CentOS - RHEL так:

wget http://download.openvz.org/kernel/branches/rhel5-2.6.18/028stab060.2/ovzkernel-2.6.18-92.1.18.el5.028stab060.2.x86_64.rpm
alien ovzkernel-2.6.18-92.1.18.el5.028stab060.2.x86_64.rpm
dpkg -i ovzkernel_2.6.18*.deb
apt-get install initramfs-tools
mkinitramfs -o /boot/initrd.img-2.6.18-92.1.18.el5.028stab060.2 2.6.18-92.1.18.el5.028stab060.2

Я привел пример для x86_64, используйте ядро соответствующее вашему железу.
И позаботьтесь о том, чтобы вариант загрузки с этим ядром был в /boot/grub/menu.lst
Другие версии ядер (2.6.24 и более свежие пачлевелы) в моей конфигурации оказались неработоспособны.


--------------------

[Updated on: Thu, 19 March 2009 12:53]

Report message to a moderator

Previous Topic: dm-ioband
Next Topic: Подключение через SSH к VPS
Goto Forum:
  


Current Time: Sun Dec 15 08:21:59 GMT 2019